<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfCancelNewDoc ArrayType
 * Meta informations extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfCancelNewDoc
 * @subpackage Arrays
 */
class ArrayOfCancelNewDoc extends AbstractStructArrayBase
{
    /**
     * The CancelNewDoc
     * Meta informations extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\CancelNewDoc[]
     */
    public $CancelNewDoc;
    /**
     * Constructor method for ArrayOfCancelNewDoc
     * @uses ArrayOfCancelNewDoc::setCancelNewDoc()
     * @param \StructType\CancelNewDoc[] $cancelNewDoc
     */
    public function __construct(array $cancelNewDoc = array())
    {
        $this
            ->setCancelNewDoc($cancelNewDoc);
    }
    /**
     * Get CancelNewDoc value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\CancelNewDoc[]|null
     */
    public function getCancelNewDoc()
    {
        return isset($this->CancelNewDoc) ? $this->CancelNewDoc : null;
    }
    /**
     * Set CancelNewDoc value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\CancelNewDoc[] $cancelNewDoc
     * @return \ArrayType\ArrayOfCancelNewDoc
     */
    public function setCancelNewDoc(array $cancelNewDoc = array())
    {
        foreach ($cancelNewDoc as $arrayOfCancelNewDocCancelNewDocItem) {
            // validation for constraint: itemType
            if (!$arrayOfCancelNewDocCancelNewDocItem instanceof \StructType\CancelNewDoc) {
                throw new \InvalidArgumentException(sprintf('The CancelNewDoc property can only contain items of \StructType\CancelNewDoc, "%s" given', is_object($arrayOfCancelNewDocCancelNewDocItem) ? get_class($arrayOfCancelNewDocCancelNewDocItem) : gettype($arrayOfCancelNewDocCancelNewDocItem)), __LINE__);
            }
        }
        if (is_null($cancelNewDoc) || (is_array($cancelNewDoc) && empty($cancelNewDoc))) {
            unset($this->CancelNewDoc);
        } else {
            $this->CancelNewDoc = $cancelNewDoc;
        }
        return $this;
    }
    /**
     * Add item to CancelNewDoc value
     * @throws \InvalidArgumentException
     * @param \StructType\CancelNewDoc $item
     * @return \ArrayType\ArrayOfCancelNewDoc
     */
    public function addToCancelNewDoc(\StructType\CancelNewDoc $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\CancelNewDoc) {
            throw new \InvalidArgumentException(sprintf('The CancelNewDoc property can only contain items of \StructType\CancelNewDoc, "%s" given', is_object($item) ? get_class($item) : gettype($item)), __LINE__);
        }
        $this->CancelNewDoc[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\CancelNewDoc|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\CancelNewDoc|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\CancelNewDoc|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\CancelNewDoc|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\CancelNewDoc|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string CancelNewDoc
     */
    public function getAttributeName()
    {
        return 'CancelNewDoc';
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructArrayBase::__set_state()
     * @uses AbstractStructArrayBase::__set_state()
     * @param array $array the exported values
     * @return \ArrayType\ArrayOfCancelNewDoc
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
