<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfOrderPiecesResultInfo ArrayType
 * @subpackage Arrays
 */
class ArrayOfOrderPiecesResultInfo extends AbstractStructArrayBase
{
    /**
     * The OrderPiecesResultInfo
     * Meta informations extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\OrderPiecesResultInfo[]
     */
    public $OrderPiecesResultInfo;
    /**
     * Constructor method for ArrayOfOrderPiecesResultInfo
     * @uses ArrayOfOrderPiecesResultInfo::setOrderPiecesResultInfo()
     * @param \StructType\OrderPiecesResultInfo[] $orderPiecesResultInfo
     */
    public function __construct(array $orderPiecesResultInfo = array())
    {
        $this
            ->setOrderPiecesResultInfo($orderPiecesResultInfo);
    }
    /**
     * Get OrderPiecesResultInfo value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\OrderPiecesResultInfo[]|null
     */
    public function getOrderPiecesResultInfo()
    {
        return isset($this->OrderPiecesResultInfo) ? $this->OrderPiecesResultInfo : null;
    }
    /**
     * Set OrderPiecesResultInfo value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\OrderPiecesResultInfo[] $orderPiecesResultInfo
     * @return \ArrayType\ArrayOfOrderPiecesResultInfo
     */
    public function setOrderPiecesResultInfo(array $orderPiecesResultInfo = array())
    {
        foreach ($orderPiecesResultInfo as $arrayOfOrderPiecesResultInfoOrderPiecesResultInfoItem) {
            // validation for constraint: itemType
            if (!$arrayOfOrderPiecesResultInfoOrderPiecesResultInfoItem instanceof \StructType\OrderPiecesResultInfo) {
                throw new \InvalidArgumentException(sprintf('The OrderPiecesResultInfo property can only contain items of \StructType\OrderPiecesResultInfo, "%s" given', is_object($arrayOfOrderPiecesResultInfoOrderPiecesResultInfoItem) ? get_class($arrayOfOrderPiecesResultInfoOrderPiecesResultInfoItem) : gettype($arrayOfOrderPiecesResultInfoOrderPiecesResultInfoItem)), __LINE__);
            }
        }
        if (is_null($orderPiecesResultInfo) || (is_array($orderPiecesResultInfo) && empty($orderPiecesResultInfo))) {
            unset($this->OrderPiecesResultInfo);
        } else {
            $this->OrderPiecesResultInfo = $orderPiecesResultInfo;
        }
        return $this;
    }
    /**
     * Add item to OrderPiecesResultInfo value
     * @throws \InvalidArgumentException
     * @param \StructType\OrderPiecesResultInfo $item
     * @return \ArrayType\ArrayOfOrderPiecesResultInfo
     */
    public function addToOrderPiecesResultInfo(\StructType\OrderPiecesResultInfo $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\OrderPiecesResultInfo) {
            throw new \InvalidArgumentException(sprintf('The OrderPiecesResultInfo property can only contain items of \StructType\OrderPiecesResultInfo, "%s" given', is_object($item) ? get_class($item) : gettype($item)), __LINE__);
        }
        $this->OrderPiecesResultInfo[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\OrderPiecesResultInfo|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\OrderPiecesResultInfo|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\OrderPiecesResultInfo|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\OrderPiecesResultInfo|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\OrderPiecesResultInfo|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string OrderPiecesResultInfo
     */
    public function getAttributeName()
    {
        return 'OrderPiecesResultInfo';
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructArrayBase::__set_state()
     * @uses AbstractStructArrayBase::__set_state()
     * @param array $array the exported values
     * @return \ArrayType\ArrayOfOrderPiecesResultInfo
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
