<?php
/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'WebCargoData' => '\\StructType\\WebCargoData',
            'WEBCARGODATA' => '\\StructType\\WEBCARGODATA_1',
            'WEBCARGODATA1' => '\\StructType\\WEBCARGODATA1',
            'WEBCARGODATA2' => '\\StructType\\WEBCARGODATA2',
            'WEBCARGODATA3' => '\\StructType\\WEBCARGODATA3',
            'ACCOUNT' => '\\StructType\\ACCOUNT',
            'WEBCARGODATA4' => '\\StructType\\WEBCARGODATA4',
            'WEBCARGODATA6' => '\\StructType\\WEBCARGODATA6',
            'WEBCARGODATA5' => '\\StructType\\WEBCARGODATA5',
            'WEBCARGODATA7' => '\\StructType\\WEBCARGODATA7',
            'HINTCITY' => '\\StructType\\HINTCITY',
            'SERVICE' => '\\StructType\\SERVICE',
            'WEBCARGODATA8' => '\\StructType\\WEBCARGODATA8',
            'WEBCARGODATA9' => '\\StructType\\WEBCARGODATA9',
            'HINTTOWN' => '\\StructType\\HINTTOWN',
            'UNIT' => '\\StructType\\UNIT',
            'WEBCARGODATA10' => '\\StructType\\WEBCARGODATA10',
            'WEBCARGODATA11' => '\\StructType\\WEBCARGODATA11',
            'WEBCARGODATA12' => '\\StructType\\WEBCARGODATA12',
            'ShipmentSortInfo' => '\\StructType\\ShipmentSortInfo',
            'BATCHWAYBILL' => '\\StructType\\BATCHWAYBILL',
            'BATCHWAYBILLTRANSACTION' => '\\StructType\\BATCHWAYBILLTRANSACTION',
            'WEBCARGODATA13' => '\\StructType\\WEBCARGODATA13',
            'UNIT1' => '\\StructType\\UNIT1',
            'UNITMANIFESTGROUPCR' => '\\StructType\\UNITMANIFESTGROUPCR',
            'DIRECTION' => '\\StructType\\DIRECTION',
            'IrsaliyeData' => '\\StructType\\IrsaliyeData',
            'IrsData' => '\\StructType\\IrsData',
            'GunlukDesi' => '\\StructType\\GunlukDesi',
            'YoldakiAracData' => '\\StructType\\YoldakiAracData',
            'UlasimMatrisi' => '\\StructType\\UlasimMatrisi',
            'Plaka' => '\\StructType\\Plaka',
            'SeferData' => '\\StructType\\SeferData',
            'SetMeasurementSimulation' => '\\StructType\\SetMeasurementSimulation',
            'MeasurementDto' => '\\StructType\\MeasurementDto',
            'SetMeasurementSimulationResponse' => '\\StructType\\SetMeasurementSimulationResponse',
            'GetAddressList' => '\\StructType\\GetAddressList',
            'GetAddressListResponse' => '\\StructType\\GetAddressListResponse',
            'ArrayOfCustomerAddress' => '\\ArrayType\\ArrayOfCustomerAddress',
            'CustomerAddress' => '\\StructType\\CustomerAddress',
            'SaveAddress' => '\\StructType\\SaveAddress',
            'Address' => '\\StructType\\Address',
            'SaveAddressResponse' => '\\StructType\\SaveAddressResponse',
            'ResultMessage' => '\\StructType\\ResultMessage',
            'SetCargoLineInfo' => '\\StructType\\SetCargoLineInfo',
            'SetCargoLineInfoResponse' => '\\StructType\\SetCargoLineInfoResponse',
            'CancelCargoLineInfo' => '\\StructType\\CancelCargoLineInfo',
            'CancelCargoLineInfoResponse' => '\\StructType\\CancelCargoLineInfoResponse',
            'GetUndeliveredCargoSearch' => '\\StructType\\GetUndeliveredCargoSearch',
            'GetUndeliveredCargoSearchResponse' => '\\StructType\\GetUndeliveredCargoSearchResponse',
            'GetUndeliveredCargoSearchResult' => '\\StructType\\GetUndeliveredCargoSearchResult',
            'GetWaitingCargoList' => '\\StructType\\GetWaitingCargoList',
            'GetWaitingCargoListResponse' => '\\StructType\\GetWaitingCargoListResponse',
            'GetWaitingCargoListResult' => '\\StructType\\GetWaitingCargoListResult',
            'GetDeliveryList' => '\\StructType\\GetDeliveryList',
            'GetDeliveryListResponse' => '\\StructType\\GetDeliveryListResponse',
            'GetDeliveryListResult' => '\\StructType\\GetDeliveryListResult',
            'GetCargoSendList' => '\\StructType\\GetCargoSendList',
            'GetCargoSendListResponse' => '\\StructType\\GetCargoSendListResponse',
            'GetCargoSendListResult' => '\\StructType\\GetCargoSendListResult',
            'GetParentUnitAddress' => '\\StructType\\GetParentUnitAddress',
            'GetParentUnitAddressResponse' => '\\StructType\\GetParentUnitAddressResponse',
            'GetParentUnitAddressResult' => '\\StructType\\GetParentUnitAddressResult',
            'GetUnitAddress' => '\\StructType\\GetUnitAddress',
            'GetUnitAddressResponse' => '\\StructType\\GetUnitAddressResponse',
            'GetUnitAddressResult' => '\\StructType\\GetUnitAddressResult',
            'GetUnitCard' => '\\StructType\\GetUnitCard',
            'GetUnitCardResponse' => '\\StructType\\GetUnitCardResponse',
            'GetUnitCardResult' => '\\StructType\\GetUnitCardResult',
            'GetDuration' => '\\StructType\\GetDuration',
            'GetDurationResponse' => '\\StructType\\GetDurationResponse',
            'GetDurationResult' => '\\StructType\\GetDurationResult',
            'GetDeliveryList2' => '\\StructType\\GetDeliveryList2',
            'GetDeliveryList2Response' => '\\StructType\\GetDeliveryList2Response',
            'GetDeliveryList2Result' => '\\StructType\\GetDeliveryList2Result',
            'GetCargoPieceList' => '\\StructType\\GetCargoPieceList',
            'GetCargoPieceListResponse' => '\\StructType\\GetCargoPieceListResponse',
            'GetCargoPieceListResult' => '\\StructType\\GetCargoPieceListResult',
            'GetPriceCalculation' => '\\StructType\\GetPriceCalculation',
            'GetPriceCalculationResponse' => '\\StructType\\GetPriceCalculationResponse',
            'GetPriceCalculationResult' => '\\StructType\\GetPriceCalculationResult',
            'GetServiceList' => '\\StructType\\GetServiceList',
            'GetServiceListResponse' => '\\StructType\\GetServiceListResponse',
            'GetServiceListResult' => '\\StructType\\GetServiceListResult',
            'GetServiceType' => '\\StructType\\GetServiceType',
            'GetServiceTypeResponse' => '\\StructType\\GetServiceTypeResponse',
            'GetServiceTypeResult' => '\\StructType\\GetServiceTypeResult',
            'GetRedirectionList' => '\\StructType\\GetRedirectionList',
            'GetRedirectionListResponse' => '\\StructType\\GetRedirectionListResponse',
            'GetRedirectionListResult' => '\\StructType\\GetRedirectionListResult',
            'GetBackList' => '\\StructType\\GetBackList',
            'GetBackListResponse' => '\\StructType\\GetBackListResponse',
            'GetBackListResult' => '\\StructType\\GetBackListResult',
            'GetCargoReturn' => '\\StructType\\GetCargoReturn',
            'GetCargoReturnResponse' => '\\StructType\\GetCargoReturnResponse',
            'GetCargoReturnResult' => '\\StructType\\GetCargoReturnResult',
            'GetCargoInfo' => '\\StructType\\GetCargoInfo',
            'GetCargoInfoResponse' => '\\StructType\\GetCargoInfoResponse',
            'GetCargoInfoResult' => '\\StructType\\GetCargoInfoResult',
            'GetCityList' => '\\StructType\\GetCityList',
            'GetCityListResponse' => '\\StructType\\GetCityListResponse',
            'GetCityListResult' => '\\StructType\\GetCityListResult',
            'GetTown' => '\\StructType\\GetTown',
            'GetTownResponse' => '\\StructType\\GetTownResponse',
            'GetTownResult' => '\\StructType\\GetTownResult',
            'GetUnit' => '\\StructType\\GetUnit',
            'GetUnitResponse' => '\\StructType\\GetUnitResponse',
            'GetUnitResult' => '\\StructType\\GetUnitResult',
            'GetUnitBranch' => '\\StructType\\GetUnitBranch',
            'GetUnitBranchResponse' => '\\StructType\\GetUnitBranchResponse',
            'GetUnitBranchResult' => '\\StructType\\GetUnitBranchResult',
            'GetRegions' => '\\StructType\\GetRegions',
            'GetRegionsResponse' => '\\StructType\\GetRegionsResponse',
            'GetRegionsResult' => '\\StructType\\GetRegionsResult',
            'GetCargoSearch' => '\\StructType\\GetCargoSearch',
            'GetCargoSearchResponse' => '\\StructType\\GetCargoSearchResponse',
            'GetCargoSearchResult' => '\\StructType\\GetCargoSearchResult',
            'GetCargoSearchByCode' => '\\StructType\\GetCargoSearchByCode',
            'GetCargoSearchByCodeResponse' => '\\StructType\\GetCargoSearchByCodeResponse',
            'GetCargoSearchByCodeResult' => '\\StructType\\GetCargoSearchByCodeResult',
            'GetSortedCargoInfo' => '\\StructType\\GetSortedCargoInfo',
            'GetSortedCargoInfoResponse' => '\\StructType\\GetSortedCargoInfoResponse',
            'GetSortedCargoInfoResult' => '\\StructType\\GetSortedCargoInfoResult',
            'SetSortedBag' => '\\StructType\\SetSortedBag',
            'SetSortedBagResponse' => '\\StructType\\SetSortedBagResponse',
            'SetSortedBag2' => '\\StructType\\SetSortedBag2',
            'SetSortedBag2Response' => '\\StructType\\SetSortedBag2Response',
            'SetSortedBag3' => '\\StructType\\SetSortedBag3',
            'Barcodes' => '\\StructType\\Barcodes',
            'SetSortedBag3Response' => '\\StructType\\SetSortedBag3Response',
            'GetCargoTransaction' => '\\StructType\\GetCargoTransaction',
            'GetCargoTransactionResponse' => '\\StructType\\GetCargoTransactionResponse',
            'GetCargoTransactionResult' => '\\StructType\\GetCargoTransactionResult',
            'GetCargoTransactionByWaybillId' => '\\StructType\\GetCargoTransactionByWaybillId',
            'GetCargoTransactionByWaybillIdResponse' => '\\StructType\\GetCargoTransactionByWaybillIdResponse',
            'GetCargoTransactionByWaybillIdResult' => '\\StructType\\GetCargoTransactionByWaybillIdResult',
            'SetDispatchXML' => '\\StructType\\SetDispatchXML',
            'ArrayOfShippingOrder' => '\\ArrayType\\ArrayOfShippingOrder',
            'ShippingOrder' => '\\StructType\\ShippingOrder',
            'SetDispatchXMLResponse' => '\\StructType\\SetDispatchXMLResponse',
            'CancelDispatch' => '\\StructType\\CancelDispatch',
            'CancelDispatchResponse' => '\\StructType\\CancelDispatchResponse',
            'DispatchResultInfo' => '\\StructType\\DispatchResultInfo',
            'SetDispatch' => '\\StructType\\SetDispatch',
            'SetDispatchResponse' => '\\StructType\\SetDispatchResponse',
            'ArrayOfDispatchResultInfo' => '\\ArrayType\\ArrayOfDispatchResultInfo',
            'SetOrderPiece' => '\\StructType\\SetOrderPiece',
            'Piece' => '\\StructType\\Piece',
            'SetOrderPieceResponse' => '\\StructType\\SetOrderPieceResponse',
            'OrderResultInfo' => '\\StructType\\OrderResultInfo',
            'UpdateInvoiceWaybillNumber' => '\\StructType\\UpdateInvoiceWaybillNumber',
            'OrderUpdateDto' => '\\StructType\\OrderUpdateDto',
            'UpdateInvoiceWaybillNumberResponse' => '\\StructType\\UpdateInvoiceWaybillNumberResponse',
            'UpdateOrderPiecesVolume' => '\\StructType\\UpdateOrderPiecesVolume',
            'ArrayOfPiece' => '\\ArrayType\\ArrayOfPiece',
            'UpdateOrderPiecesVolumeResponse' => '\\StructType\\UpdateOrderPiecesVolumeResponse',
            'ArrayOfOrderPiecesResultInfo' => '\\ArrayType\\ArrayOfOrderPiecesResultInfo',
            'OrderPiecesResultInfo' => '\\StructType\\OrderPiecesResultInfo',
            'SetOrder' => '\\StructType\\SetOrder',
            'ArrayOfOrder' => '\\ArrayType\\ArrayOfOrder',
            'Order' => '\\StructType\\Order',
            'ArrayOfPieceDetail' => '\\ArrayType\\ArrayOfPieceDetail',
            'PieceDetail' => '\\StructType\\PieceDetail',
            'SetOrderResponse' => '\\StructType\\SetOrderResponse',
            'ArrayOfOrderResultInfo' => '\\ArrayType\\ArrayOfOrderResultInfo',
            'SetAddress' => '\\StructType\\SetAddress',
            'ArrayOfAddressDto' => '\\ArrayType\\ArrayOfAddressDto',
            'AddressDto' => '\\StructType\\AddressDto',
            'SetAddressResponse' => '\\StructType\\SetAddressResponse',
            'ArrayOfAddressResultDto' => '\\ArrayType\\ArrayOfAddressResultDto',
            'AddressResultDto' => '\\StructType\\AddressResultDto',
            'GetDispatch' => '\\StructType\\GetDispatch',
            'GetDispatchResponse' => '\\StructType\\GetDispatchResponse',
            'GetOrder' => '\\StructType\\GetOrder',
            'GetOrderResponse' => '\\StructType\\GetOrderResponse',
            'GetDispatchWithIntegrationCode' => '\\StructType\\GetDispatchWithIntegrationCode',
            'GetDispatchWithIntegrationCodeResponse' => '\\StructType\\GetDispatchWithIntegrationCodeResponse',
            'GetOrderWithIntegrationCode' => '\\StructType\\GetOrderWithIntegrationCode',
            'GetOrderWithIntegrationCodeResponse' => '\\StructType\\GetOrderWithIntegrationCodeResponse',
            'GetCancelNewDoc' => '\\StructType\\GetCancelNewDoc',
            'ArrayOfString' => '\\ArrayType\\ArrayOfString',
            'GetCancelNewDocResponse' => '\\StructType\\GetCancelNewDocResponse',
            'ArrayOfCancelNewDoc' => '\\ArrayType\\ArrayOfCancelNewDoc',
            'CancelNewDoc' => '\\StructType\\CancelNewDoc',
            'GetDeliveryInfo' => '\\StructType\\GetDeliveryInfo',
            'GetDeliveryInfoResponse' => '\\StructType\\GetDeliveryInfoResponse',
            'ArrayOfDeliveryInfo' => '\\ArrayType\\ArrayOfDeliveryInfo',
            'DeliveryInfo' => '\\StructType\\DeliveryInfo',
            'GetMissingNewDoc' => '\\StructType\\GetMissingNewDoc',
            'GetMissingNewDocResponse' => '\\StructType\\GetMissingNewDocResponse',
            'GetDeliveryInfodocID' => '\\StructType\\GetDeliveryInfodocID',
            'GetDeliveryInfodocIDResponse' => '\\StructType\\GetDeliveryInfodocIDResponse',
            'GetIncomingCargoInfoBarcode' => '\\StructType\\GetIncomingCargoInfoBarcode',
            'GetIncomingCargoInfoBarcodeResponse' => '\\StructType\\GetIncomingCargoInfoBarcodeResponse',
            'ArrayOfIncomingCargoInfo' => '\\ArrayType\\ArrayOfIncomingCargoInfo',
            'IncomingCargoInfo' => '\\StructType\\IncomingCargoInfo',
            'SetCanceledShipment' => '\\StructType\\SetCanceledShipment',
            'SetCanceledShipmentResponse' => '\\StructType\\SetCanceledShipmentResponse',
            'ArrayOfCanceledShipmentInfo' => '\\ArrayType\\ArrayOfCanceledShipmentInfo',
            'CanceledShipmentInfo' => '\\StructType\\CanceledShipmentInfo',
            'GetBarcode' => '\\StructType\\GetBarcode',
            'GetBarcodeResponse' => '\\StructType\\GetBarcodeResponse',
            'BarcodeResult' => '\\StructType\\BarcodeResult',
            'ArrayOfBase64Binary' => '\\ArrayType\\ArrayOfBase64Binary',
            'ArrayOfBarcodeModel' => '\\ArrayType\\ArrayOfBarcodeModel',
            'BarcodeModel' => '\\StructType\\BarcodeModel',
            'DataTable' => '\\StructType\\DataTable',
            'IrsDataDataTable' => '\\StructType\\IrsDataDataTable',
            'ShipmentSortInfoDataTable' => '\\StructType\\ShipmentSortInfoDataTable',
            'WEBCARGODATA13DataTable' => '\\StructType\\WEBCARGODATA13DataTable',
        );
    }
}
