<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CancelNewDoc StructType
 * @subpackage Structs
 */
class CancelNewDoc extends AbstractStructBase
{
    /**
     * The TotalPriceVat
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var float
     */
    public $TotalPriceVat;
    /**
     * The TotalPrice
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var float
     */
    public $TotalPrice;
    /**
     * The TotalCargo
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $TotalCargo;
    /**
     * The TotalDesiKg
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var float
     */
    public $TotalDesiKg;
    /**
     * The OrgCustID
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $OrgCustID;
    /**
     * The OrgDocNumber
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $OrgDocNumber;
    /**
     * The OrgInvNumber
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $OrgInvNumber;
    /**
     * The DocID
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $DocID;
    /**
     * The DocNumber
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $DocNumber;
    /**
     * The DepartureUnitID
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $DepartureUnitID;
    /**
     * The DepartureUnitName
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $DepartureUnitName;
    /**
     * The DocumentDate
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $DocumentDate;
    /**
     * The DocumentTime
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $DocumentTime;
    /**
     * The InvCustID
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $InvCustID;
    /**
     * The ARASScannerNo
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $ARASScannerNo;
    /**
     * The ArrivalUnitName
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $ArrivalUnitName;
    /**
     * The EstimatedDeliveryTime
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $EstimatedDeliveryTime;
    /**
     * The DeliveryAddressStatus
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $DeliveryAddressStatus;
    /**
     * Constructor method for CancelNewDoc
     * @uses CancelNewDoc::setTotalPriceVat()
     * @uses CancelNewDoc::setTotalPrice()
     * @uses CancelNewDoc::setTotalCargo()
     * @uses CancelNewDoc::setTotalDesiKg()
     * @uses CancelNewDoc::setOrgCustID()
     * @uses CancelNewDoc::setOrgDocNumber()
     * @uses CancelNewDoc::setOrgInvNumber()
     * @uses CancelNewDoc::setDocID()
     * @uses CancelNewDoc::setDocNumber()
     * @uses CancelNewDoc::setDepartureUnitID()
     * @uses CancelNewDoc::setDepartureUnitName()
     * @uses CancelNewDoc::setDocumentDate()
     * @uses CancelNewDoc::setDocumentTime()
     * @uses CancelNewDoc::setInvCustID()
     * @uses CancelNewDoc::setARASScannerNo()
     * @uses CancelNewDoc::setArrivalUnitName()
     * @uses CancelNewDoc::setEstimatedDeliveryTime()
     * @uses CancelNewDoc::setDeliveryAddressStatus()
     * @param float $totalPriceVat
     * @param float $totalPrice
     * @param int $totalCargo
     * @param float $totalDesiKg
     * @param string $orgCustID
     * @param string $orgDocNumber
     * @param string $orgInvNumber
     * @param string $docID
     * @param string $docNumber
     * @param string $departureUnitID
     * @param string $departureUnitName
     * @param string $documentDate
     * @param string $documentTime
     * @param string $invCustID
     * @param string $aRASScannerNo
     * @param string $arrivalUnitName
     * @param string $estimatedDeliveryTime
     * @param string $deliveryAddressStatus
     */
    public function __construct($totalPriceVat = null, $totalPrice = null, $totalCargo = null, $totalDesiKg = null, $orgCustID = null, $orgDocNumber = null, $orgInvNumber = null, $docID = null, $docNumber = null, $departureUnitID = null, $departureUnitName = null, $documentDate = null, $documentTime = null, $invCustID = null, $aRASScannerNo = null, $arrivalUnitName = null, $estimatedDeliveryTime = null, $deliveryAddressStatus = null)
    {
        $this
            ->setTotalPriceVat($totalPriceVat)
            ->setTotalPrice($totalPrice)
            ->setTotalCargo($totalCargo)
            ->setTotalDesiKg($totalDesiKg)
            ->setOrgCustID($orgCustID)
            ->setOrgDocNumber($orgDocNumber)
            ->setOrgInvNumber($orgInvNumber)
            ->setDocID($docID)
            ->setDocNumber($docNumber)
            ->setDepartureUnitID($departureUnitID)
            ->setDepartureUnitName($departureUnitName)
            ->setDocumentDate($documentDate)
            ->setDocumentTime($documentTime)
            ->setInvCustID($invCustID)
            ->setARASScannerNo($aRASScannerNo)
            ->setArrivalUnitName($arrivalUnitName)
            ->setEstimatedDeliveryTime($estimatedDeliveryTime)
            ->setDeliveryAddressStatus($deliveryAddressStatus);
    }
    /**
     * Get TotalPriceVat value
     * @return float
     */
    public function getTotalPriceVat()
    {
        return $this->TotalPriceVat;
    }
    /**
     * Set TotalPriceVat value
     * @param float $totalPriceVat
     * @return \StructType\CancelNewDoc
     */
    public function setTotalPriceVat($totalPriceVat = null)
    {
        $this->TotalPriceVat = $totalPriceVat;
        return $this;
    }
    /**
     * Get TotalPrice value
     * @return float
     */
    public function getTotalPrice()
    {
        return $this->TotalPrice;
    }
    /**
     * Set TotalPrice value
     * @param float $totalPrice
     * @return \StructType\CancelNewDoc
     */
    public function setTotalPrice($totalPrice = null)
    {
        $this->TotalPrice = $totalPrice;
        return $this;
    }
    /**
     * Get TotalCargo value
     * @return int
     */
    public function getTotalCargo()
    {
        return $this->TotalCargo;
    }
    /**
     * Set TotalCargo value
     * @param int $totalCargo
     * @return \StructType\CancelNewDoc
     */
    public function setTotalCargo($totalCargo = null)
    {
        // validation for constraint: int
        if (!is_null($totalCargo) && !is_numeric($totalCargo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($totalCargo)), __LINE__);
        }
        $this->TotalCargo = $totalCargo;
        return $this;
    }
    /**
     * Get TotalDesiKg value
     * @return float
     */
    public function getTotalDesiKg()
    {
        return $this->TotalDesiKg;
    }
    /**
     * Set TotalDesiKg value
     * @param float $totalDesiKg
     * @return \StructType\CancelNewDoc
     */
    public function setTotalDesiKg($totalDesiKg = null)
    {
        $this->TotalDesiKg = $totalDesiKg;
        return $this;
    }
    /**
     * Get OrgCustID value
     * @return string|null
     */
    public function getOrgCustID()
    {
        return $this->OrgCustID;
    }
    /**
     * Set OrgCustID value
     * @param string $orgCustID
     * @return \StructType\CancelNewDoc
     */
    public function setOrgCustID($orgCustID = null)
    {
        // validation for constraint: string
        if (!is_null($orgCustID) && !is_string($orgCustID)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($orgCustID)), __LINE__);
        }
        $this->OrgCustID = $orgCustID;
        return $this;
    }
    /**
     * Get OrgDocNumber value
     * @return string|null
     */
    public function getOrgDocNumber()
    {
        return $this->OrgDocNumber;
    }
    /**
     * Set OrgDocNumber value
     * @param string $orgDocNumber
     * @return \StructType\CancelNewDoc
     */
    public function setOrgDocNumber($orgDocNumber = null)
    {
        // validation for constraint: string
        if (!is_null($orgDocNumber) && !is_string($orgDocNumber)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($orgDocNumber)), __LINE__);
        }
        $this->OrgDocNumber = $orgDocNumber;
        return $this;
    }
    /**
     * Get OrgInvNumber value
     * @return string|null
     */
    public function getOrgInvNumber()
    {
        return $this->OrgInvNumber;
    }
    /**
     * Set OrgInvNumber value
     * @param string $orgInvNumber
     * @return \StructType\CancelNewDoc
     */
    public function setOrgInvNumber($orgInvNumber = null)
    {
        // validation for constraint: string
        if (!is_null($orgInvNumber) && !is_string($orgInvNumber)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($orgInvNumber)), __LINE__);
        }
        $this->OrgInvNumber = $orgInvNumber;
        return $this;
    }
    /**
     * Get DocID value
     * @return string|null
     */
    public function getDocID()
    {
        return $this->DocID;
    }
    /**
     * Set DocID value
     * @param string $docID
     * @return \StructType\CancelNewDoc
     */
    public function setDocID($docID = null)
    {
        // validation for constraint: string
        if (!is_null($docID) && !is_string($docID)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($docID)), __LINE__);
        }
        $this->DocID = $docID;
        return $this;
    }
    /**
     * Get DocNumber value
     * @return string|null
     */
    public function getDocNumber()
    {
        return $this->DocNumber;
    }
    /**
     * Set DocNumber value
     * @param string $docNumber
     * @return \StructType\CancelNewDoc
     */
    public function setDocNumber($docNumber = null)
    {
        // validation for constraint: string
        if (!is_null($docNumber) && !is_string($docNumber)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($docNumber)), __LINE__);
        }
        $this->DocNumber = $docNumber;
        return $this;
    }
    /**
     * Get DepartureUnitID value
     * @return string|null
     */
    public function getDepartureUnitID()
    {
        return $this->DepartureUnitID;
    }
    /**
     * Set DepartureUnitID value
     * @param string $departureUnitID
     * @return \StructType\CancelNewDoc
     */
    public function setDepartureUnitID($departureUnitID = null)
    {
        // validation for constraint: string
        if (!is_null($departureUnitID) && !is_string($departureUnitID)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($departureUnitID)), __LINE__);
        }
        $this->DepartureUnitID = $departureUnitID;
        return $this;
    }
    /**
     * Get DepartureUnitName value
     * @return string|null
     */
    public function getDepartureUnitName()
    {
        return $this->DepartureUnitName;
    }
    /**
     * Set DepartureUnitName value
     * @param string $departureUnitName
     * @return \StructType\CancelNewDoc
     */
    public function setDepartureUnitName($departureUnitName = null)
    {
        // validation for constraint: string
        if (!is_null($departureUnitName) && !is_string($departureUnitName)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($departureUnitName)), __LINE__);
        }
        $this->DepartureUnitName = $departureUnitName;
        return $this;
    }
    /**
     * Get DocumentDate value
     * @return string|null
     */
    public function getDocumentDate()
    {
        return $this->DocumentDate;
    }
    /**
     * Set DocumentDate value
     * @param string $documentDate
     * @return \StructType\CancelNewDoc
     */
    public function setDocumentDate($documentDate = null)
    {
        // validation for constraint: string
        if (!is_null($documentDate) && !is_string($documentDate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($documentDate)), __LINE__);
        }
        $this->DocumentDate = $documentDate;
        return $this;
    }
    /**
     * Get DocumentTime value
     * @return string|null
     */
    public function getDocumentTime()
    {
        return $this->DocumentTime;
    }
    /**
     * Set DocumentTime value
     * @param string $documentTime
     * @return \StructType\CancelNewDoc
     */
    public function setDocumentTime($documentTime = null)
    {
        // validation for constraint: string
        if (!is_null($documentTime) && !is_string($documentTime)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($documentTime)), __LINE__);
        }
        $this->DocumentTime = $documentTime;
        return $this;
    }
    /**
     * Get InvCustID value
     * @return string|null
     */
    public function getInvCustID()
    {
        return $this->InvCustID;
    }
    /**
     * Set InvCustID value
     * @param string $invCustID
     * @return \StructType\CancelNewDoc
     */
    public function setInvCustID($invCustID = null)
    {
        // validation for constraint: string
        if (!is_null($invCustID) && !is_string($invCustID)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($invCustID)), __LINE__);
        }
        $this->InvCustID = $invCustID;
        return $this;
    }
    /**
     * Get ARASScannerNo value
     * @return string|null
     */
    public function getARASScannerNo()
    {
        return $this->ARASScannerNo;
    }
    /**
     * Set ARASScannerNo value
     * @param string $aRASScannerNo
     * @return \StructType\CancelNewDoc
     */
    public function setARASScannerNo($aRASScannerNo = null)
    {
        // validation for constraint: string
        if (!is_null($aRASScannerNo) && !is_string($aRASScannerNo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($aRASScannerNo)), __LINE__);
        }
        $this->ARASScannerNo = $aRASScannerNo;
        return $this;
    }
    /**
     * Get ArrivalUnitName value
     * @return string|null
     */
    public function getArrivalUnitName()
    {
        return $this->ArrivalUnitName;
    }
    /**
     * Set ArrivalUnitName value
     * @param string $arrivalUnitName
     * @return \StructType\CancelNewDoc
     */
    public function setArrivalUnitName($arrivalUnitName = null)
    {
        // validation for constraint: string
        if (!is_null($arrivalUnitName) && !is_string($arrivalUnitName)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($arrivalUnitName)), __LINE__);
        }
        $this->ArrivalUnitName = $arrivalUnitName;
        return $this;
    }
    /**
     * Get EstimatedDeliveryTime value
     * @return string|null
     */
    public function getEstimatedDeliveryTime()
    {
        return $this->EstimatedDeliveryTime;
    }
    /**
     * Set EstimatedDeliveryTime value
     * @param string $estimatedDeliveryTime
     * @return \StructType\CancelNewDoc
     */
    public function setEstimatedDeliveryTime($estimatedDeliveryTime = null)
    {
        // validation for constraint: string
        if (!is_null($estimatedDeliveryTime) && !is_string($estimatedDeliveryTime)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($estimatedDeliveryTime)), __LINE__);
        }
        $this->EstimatedDeliveryTime = $estimatedDeliveryTime;
        return $this;
    }
    /**
     * Get DeliveryAddressStatus value
     * @return string|null
     */
    public function getDeliveryAddressStatus()
    {
        return $this->DeliveryAddressStatus;
    }
    /**
     * Set DeliveryAddressStatus value
     * @param string $deliveryAddressStatus
     * @return \StructType\CancelNewDoc
     */
    public function setDeliveryAddressStatus($deliveryAddressStatus = null)
    {
        // validation for constraint: string
        if (!is_null($deliveryAddressStatus) && !is_string($deliveryAddressStatus)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($deliveryAddressStatus)), __LINE__);
        }
        $this->DeliveryAddressStatus = $deliveryAddressStatus;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\CancelNewDoc
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
