<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetCancelNewDoc StructType
 * @subpackage Structs
 */
class GetCancelNewDoc extends AbstractStructBase
{
    /**
     * The userName
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $userName;
    /**
     * The password
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $password;
    /**
     * The language
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $language;
    /**
     * The actionType
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $actionType;
    /**
     * The recordCount
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $recordCount;
    /**
     * The departureID
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfString
     */
    public $departureID;
    /**
     * Constructor method for GetCancelNewDoc
     * @uses GetCancelNewDoc::setUserName()
     * @uses GetCancelNewDoc::setPassword()
     * @uses GetCancelNewDoc::setLanguage()
     * @uses GetCancelNewDoc::setActionType()
     * @uses GetCancelNewDoc::setRecordCount()
     * @uses GetCancelNewDoc::setDepartureID()
     * @param string $userName
     * @param string $password
     * @param string $language
     * @param string $actionType
     * @param string $recordCount
     * @param \ArrayType\ArrayOfString $departureID
     */
    public function __construct($userName = null, $password = null, $language = null, $actionType = null, $recordCount = null, \ArrayType\ArrayOfString $departureID = null)
    {
        $this
            ->setUserName($userName)
            ->setPassword($password)
            ->setLanguage($language)
            ->setActionType($actionType)
            ->setRecordCount($recordCount)
            ->setDepartureID($departureID);
    }
    /**
     * Get userName value
     * @return string|null
     */
    public function getUserName()
    {
        return $this->userName;
    }
    /**
     * Set userName value
     * @param string $userName
     * @return \StructType\GetCancelNewDoc
     */
    public function setUserName($userName = null)
    {
        // validation for constraint: string
        if (!is_null($userName) && !is_string($userName)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($userName)), __LINE__);
        }
        $this->userName = $userName;
        return $this;
    }
    /**
     * Get password value
     * @return string|null
     */
    public function getPassword()
    {
        return $this->password;
    }
    /**
     * Set password value
     * @param string $password
     * @return \StructType\GetCancelNewDoc
     */
    public function setPassword($password = null)
    {
        // validation for constraint: string
        if (!is_null($password) && !is_string($password)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($password)), __LINE__);
        }
        $this->password = $password;
        return $this;
    }
    /**
     * Get language value
     * @return string|null
     */
    public function getLanguage()
    {
        return $this->language;
    }
    /**
     * Set language value
     * @param string $language
     * @return \StructType\GetCancelNewDoc
     */
    public function setLanguage($language = null)
    {
        // validation for constraint: string
        if (!is_null($language) && !is_string($language)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($language)), __LINE__);
        }
        $this->language = $language;
        return $this;
    }
    /**
     * Get actionType value
     * @return string|null
     */
    public function getActionType()
    {
        return $this->actionType;
    }
    /**
     * Set actionType value
     * @param string $actionType
     * @return \StructType\GetCancelNewDoc
     */
    public function setActionType($actionType = null)
    {
        // validation for constraint: string
        if (!is_null($actionType) && !is_string($actionType)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($actionType)), __LINE__);
        }
        $this->actionType = $actionType;
        return $this;
    }
    /**
     * Get recordCount value
     * @return string|null
     */
    public function getRecordCount()
    {
        return $this->recordCount;
    }
    /**
     * Set recordCount value
     * @param string $recordCount
     * @return \StructType\GetCancelNewDoc
     */
    public function setRecordCount($recordCount = null)
    {
        // validation for constraint: string
        if (!is_null($recordCount) && !is_string($recordCount)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($recordCount)), __LINE__);
        }
        $this->recordCount = $recordCount;
        return $this;
    }
    /**
     * Get departureID value
     * @return \ArrayType\ArrayOfString|null
     */
    public function getDepartureID()
    {
        return $this->departureID;
    }
    /**
     * Set departureID value
     * @param \ArrayType\ArrayOfString $departureID
     * @return \StructType\GetCancelNewDoc
     */
    public function setDepartureID(\ArrayType\ArrayOfString $departureID = null)
    {
        $this->departureID = $departureID;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\GetCancelNewDoc
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
