<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetCargoInfo StructType
 * @subpackage Structs
 */
class GetCargoInfo extends AbstractStructBase
{
    /**
     * The username
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $username;
    /**
     * The password
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $password;
    /**
     * The customerCode
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $customerCode;
    /**
     * The integrationCode
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $integrationCode;
    /**
     * Constructor method for GetCargoInfo
     * @uses GetCargoInfo::setUsername()
     * @uses GetCargoInfo::setPassword()
     * @uses GetCargoInfo::setCustomerCode()
     * @uses GetCargoInfo::setIntegrationCode()
     * @param string $username
     * @param string $password
     * @param string $customerCode
     * @param string $integrationCode
     */
    public function __construct($username = null, $password = null, $customerCode = null, $integrationCode = null)
    {
        $this
            ->setUsername($username)
            ->setPassword($password)
            ->setCustomerCode($customerCode)
            ->setIntegrationCode($integrationCode);
    }
    /**
     * Get username value
     * @return string|null
     */
    public function getUsername()
    {
        return $this->username;
    }
    /**
     * Set username value
     * @param string $username
     * @return \StructType\GetCargoInfo
     */
    public function setUsername($username = null)
    {
        // validation for constraint: string
        if (!is_null($username) && !is_string($username)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($username)), __LINE__);
        }
        $this->username = $username;
        return $this;
    }
    /**
     * Get password value
     * @return string|null
     */
    public function getPassword()
    {
        return $this->password;
    }
    /**
     * Set password value
     * @param string $password
     * @return \StructType\GetCargoInfo
     */
    public function setPassword($password = null)
    {
        // validation for constraint: string
        if (!is_null($password) && !is_string($password)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($password)), __LINE__);
        }
        $this->password = $password;
        return $this;
    }
    /**
     * Get customerCode value
     * @return string|null
     */
    public function getCustomerCode()
    {
        return $this->customerCode;
    }
    /**
     * Set customerCode value
     * @param string $customerCode
     * @return \StructType\GetCargoInfo
     */
    public function setCustomerCode($customerCode = null)
    {
        // validation for constraint: string
        if (!is_null($customerCode) && !is_string($customerCode)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($customerCode)), __LINE__);
        }
        $this->customerCode = $customerCode;
        return $this;
    }
    /**
     * Get integrationCode value
     * @return string|null
     */
    public function getIntegrationCode()
    {
        return $this->integrationCode;
    }
    /**
     * Set integrationCode value
     * @param string $integrationCode
     * @return \StructType\GetCargoInfo
     */
    public function setIntegrationCode($integrationCode = null)
    {
        // validation for constraint: string
        if (!is_null($integrationCode) && !is_string($integrationCode)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($integrationCode)), __LINE__);
        }
        $this->integrationCode = $integrationCode;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\GetCargoInfo
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
