<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for IrsDataDataTable StructType
 * Meta informations extracted from the WSDL
 * - nillable: true
 * @subpackage Structs
 */
class IrsDataDataTable extends AbstractStructBase
{
    /**
     * The any
     * @var \DOMDocument
     */
    public $any;
    /**
     * The namespace
     * Meta informations extracted from the WSDL
     * - fixed: http://tempuri.org/IrsaliyeData.xsd
     * @var string
     */
    public $namespace;
    /**
     * The tableTypeName
     * Meta informations extracted from the WSDL
     * - fixed: IrsDataDataTable
     * @var string
     */
    public $tableTypeName;
    /**
     * Constructor method for IrsDataDataTable
     * @uses IrsDataDataTable::setAny()
     * @uses IrsDataDataTable::setNamespace()
     * @uses IrsDataDataTable::setTableTypeName()
     * @param \DOMDocument $any
     * @param string $namespace
     * @param string $tableTypeName
     */
    public function __construct(\DOMDocument $any = null, $namespace = null, $tableTypeName = null)
    {
        $this
            ->setAny($any)
            ->setNamespace($namespace)
            ->setTableTypeName($tableTypeName);
    }
    /**
     * Get any value
     * @uses \DOMDocument::loadXML()
     * @uses \DOMDocument::hasChildNodes()
     * @uses \DOMDocument::saveXML()
     * @uses \DOMNode::item()
     * @uses \StructType\IrsDataDataTable::setAny()
     * @param bool $asString true: returns XML string, false: returns \DOMDocument
     * @return \DOMDocument|null
     */
    public function getAny($asString = true)
    {
        if (!empty($this->any) && !($this->any instanceof \DOMDocument)) {
            $dom = new \DOMDocument('1.0', 'UTF-8');
            $dom->formatOutput = true;
            if ($dom->loadXML($this->any)) {
                $this->setAny($dom);
            }
            unset($dom);
        }
        return ($asString && ($this->any instanceof \DOMDocument) && $this->any->hasChildNodes()) ? $this->any->saveXML($this->any->childNodes->item(0)) : $this->any;
    }
    /**
     * Set any value
     * @param \DOMDocument $any
     * @return \StructType\IrsDataDataTable
     */
    public function setAny(\DOMDocument $any = null)
    {
        $this->any = $any;
        return $this;
    }
    /**
     * Get namespace value
     * @return string|null
     */
    public function getNamespace()
    {
        return $this->namespace;
    }
    /**
     * Set namespace value
     * @param string $namespace
     * @return \StructType\IrsDataDataTable
     */
    public function setNamespace($namespace = null)
    {
        // validation for constraint: string
        if (!is_null($namespace) && !is_string($namespace)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($namespace)), __LINE__);
        }
        $this->namespace = $namespace;
        return $this;
    }
    /**
     * Get tableTypeName value
     * @return string|null
     */
    public function getTableTypeName()
    {
        return $this->tableTypeName;
    }
    /**
     * Set tableTypeName value
     * @param string $tableTypeName
     * @return \StructType\IrsDataDataTable
     */
    public function setTableTypeName($tableTypeName = null)
    {
        // validation for constraint: string
        if (!is_null($tableTypeName) && !is_string($tableTypeName)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($tableTypeName)), __LINE__);
        }
        $this->tableTypeName = $tableTypeName;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\IrsDataDataTable
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
