<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for MeasurementDto StructType
 * @subpackage Structs
 */
class MeasurementDto extends AbstractStructBase
{
    /**
     * The Width
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var float
     */
    public $Width;
    /**
     * The Height
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var float
     */
    public $Height;
    /**
     * The Length
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var float
     */
    public $Length;
    /**
     * The Volume
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var float
     */
    public $Volume;
    /**
     * The Weight
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var float
     */
    public $Weight;
    /**
     * The VolumentricWeight
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var float
     */
    public $VolumentricWeight;
    /**
     * Constructor method for MeasurementDto
     * @uses MeasurementDto::setWidth()
     * @uses MeasurementDto::setHeight()
     * @uses MeasurementDto::setLength()
     * @uses MeasurementDto::setVolume()
     * @uses MeasurementDto::setWeight()
     * @uses MeasurementDto::setVolumentricWeight()
     * @param float $width
     * @param float $height
     * @param float $length
     * @param float $volume
     * @param float $weight
     * @param float $volumentricWeight
     */
    public function __construct($width = null, $height = null, $length = null, $volume = null, $weight = null, $volumentricWeight = null)
    {
        $this
            ->setWidth($width)
            ->setHeight($height)
            ->setLength($length)
            ->setVolume($volume)
            ->setWeight($weight)
            ->setVolumentricWeight($volumentricWeight);
    }
    /**
     * Get Width value
     * @return float
     */
    public function getWidth()
    {
        return $this->Width;
    }
    /**
     * Set Width value
     * @param float $width
     * @return \StructType\MeasurementDto
     */
    public function setWidth($width = null)
    {
        $this->Width = $width;
        return $this;
    }
    /**
     * Get Height value
     * @return float
     */
    public function getHeight()
    {
        return $this->Height;
    }
    /**
     * Set Height value
     * @param float $height
     * @return \StructType\MeasurementDto
     */
    public function setHeight($height = null)
    {
        $this->Height = $height;
        return $this;
    }
    /**
     * Get Length value
     * @return float
     */
    public function getLength()
    {
        return $this->Length;
    }
    /**
     * Set Length value
     * @param float $length
     * @return \StructType\MeasurementDto
     */
    public function setLength($length = null)
    {
        $this->Length = $length;
        return $this;
    }
    /**
     * Get Volume value
     * @return float
     */
    public function getVolume()
    {
        return $this->Volume;
    }
    /**
     * Set Volume value
     * @param float $volume
     * @return \StructType\MeasurementDto
     */
    public function setVolume($volume = null)
    {
        $this->Volume = $volume;
        return $this;
    }
    /**
     * Get Weight value
     * @return float
     */
    public function getWeight()
    {
        return $this->Weight;
    }
    /**
     * Set Weight value
     * @param float $weight
     * @return \StructType\MeasurementDto
     */
    public function setWeight($weight = null)
    {
        $this->Weight = $weight;
        return $this;
    }
    /**
     * Get VolumentricWeight value
     * @return float
     */
    public function getVolumentricWeight()
    {
        return $this->VolumentricWeight;
    }
    /**
     * Set VolumentricWeight value
     * @param float $volumentricWeight
     * @return \StructType\MeasurementDto
     */
    public function setVolumentricWeight($volumentricWeight = null)
    {
        $this->VolumentricWeight = $volumentricWeight;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\MeasurementDto
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
