<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SERVICE StructType
 * @subpackage Structs
 */
class SERVICE extends AbstractStructBase
{
    /**
     * The HIZMET
     * Meta informations extracted from the WSDL
     * - maxLength: 128
     * @var string
     */
    public $HIZMET;
    /**
     * The HIZMETID
     * @var string
     */
    public $HIZMETID;
    /**
     * Constructor method for SERVICE
     * @uses SERVICE::setHIZMET()
     * @uses SERVICE::setHIZMETID()
     * @param string $hIZMET
     * @param string $hIZMETID
     */
    public function __construct($hIZMET = null, $hIZMETID = null)
    {
        $this
            ->setHIZMET($hIZMET)
            ->setHIZMETID($hIZMETID);
    }
    /**
     * Get HIZMET value
     * @return string|null
     */
    public function getHIZMET()
    {
        return $this->HIZMET;
    }
    /**
     * Set HIZMET value
     * @param string $hIZMET
     * @return \StructType\SERVICE
     */
    public function setHIZMET($hIZMET = null)
    {
        // validation for constraint: maxLength
        if ((is_scalar($hIZMET) && strlen($hIZMET) > 128) || (is_array($hIZMET) && count($hIZMET) > 128)) {
            throw new \InvalidArgumentException(sprintf('Invalid length, please provide an array with 128 element(s) or a scalar of 128 character(s) at most, "%d" length given', is_scalar($hIZMET) ? strlen($hIZMET) : count($hIZMET)), __LINE__);
        }
        // validation for constraint: string
        if (!is_null($hIZMET) && !is_string($hIZMET)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($hIZMET)), __LINE__);
        }
        $this->HIZMET = $hIZMET;
        return $this;
    }
    /**
     * Get HIZMETID value
     * @return string|null
     */
    public function getHIZMETID()
    {
        return $this->HIZMETID;
    }
    /**
     * Set HIZMETID value
     * @param string $hIZMETID
     * @return \StructType\SERVICE
     */
    public function setHIZMETID($hIZMETID = null)
    {
        // validation for constraint: string
        if (!is_null($hIZMETID) && !is_string($hIZMETID)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($hIZMETID)), __LINE__);
        }
        $this->HIZMETID = $hIZMETID;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\SERVICE
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
