<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SetAddress StructType
 * @subpackage Structs
 */
class SetAddress extends AbstractStructBase
{
    /**
     * The addressDtoList
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfAddressDto
     */
    public $addressDtoList;
    /**
     * The userName
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $userName;
    /**
     * The password
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $password;
    /**
     * Constructor method for SetAddress
     * @uses SetAddress::setAddressDtoList()
     * @uses SetAddress::setUserName()
     * @uses SetAddress::setPassword()
     * @param \ArrayType\ArrayOfAddressDto $addressDtoList
     * @param string $userName
     * @param string $password
     */
    public function __construct(\ArrayType\ArrayOfAddressDto $addressDtoList = null, $userName = null, $password = null)
    {
        $this
            ->setAddressDtoList($addressDtoList)
            ->setUserName($userName)
            ->setPassword($password);
    }
    /**
     * Get addressDtoList value
     * @return \ArrayType\ArrayOfAddressDto|null
     */
    public function getAddressDtoList()
    {
        return $this->addressDtoList;
    }
    /**
     * Set addressDtoList value
     * @param \ArrayType\ArrayOfAddressDto $addressDtoList
     * @return \StructType\SetAddress
     */
    public function setAddressDtoList(\ArrayType\ArrayOfAddressDto $addressDtoList = null)
    {
        $this->addressDtoList = $addressDtoList;
        return $this;
    }
    /**
     * Get userName value
     * @return string|null
     */
    public function getUserName()
    {
        return $this->userName;
    }
    /**
     * Set userName value
     * @param string $userName
     * @return \StructType\SetAddress
     */
    public function setUserName($userName = null)
    {
        // validation for constraint: string
        if (!is_null($userName) && !is_string($userName)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($userName)), __LINE__);
        }
        $this->userName = $userName;
        return $this;
    }
    /**
     * Get password value
     * @return string|null
     */
    public function getPassword()
    {
        return $this->password;
    }
    /**
     * Set password value
     * @param string $password
     * @return \StructType\SetAddress
     */
    public function setPassword($password = null)
    {
        // validation for constraint: string
        if (!is_null($password) && !is_string($password)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($password)), __LINE__);
        }
        $this->password = $password;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\SetAddress
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
