<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for WEBCARGODATA1 StructType
 * @subpackage Structs
 */
class WEBCARGODATA1 extends AbstractStructBase
{
    /**
     * The YONTARIH
     * @var string
     */
    public $YONTARIH;
    /**
     * The SERI
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - maxLength: 2
     * @var string
     */
    public $SERI;
    /**
     * The NO
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - maxLength: 8
     * @var string
     */
    public $NO;
    /**
     * The MOK
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - maxLength: 32
     * @var string
     */
    public $MOK;
    /**
     * The MUSTERI_KODU
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - maxLength: 32
     * @var string
     */
    public $MUSTERI_KODU;
    /**
     * The YONLENDIRENBIRIM
     * Meta informations extracted from the WSDL
     * - maxLength: 32
     * @var string
     */
    public $YONLENDIRENBIRIM;
    /**
     * The YONLENDIRILENBIRIM
     * Meta informations extracted from the WSDL
     * - maxLength: 32
     * @var string
     */
    public $YONLENDIRILENBIRIM;
    /**
     * The ALICI_ADI
     * Meta informations extracted from the WSDL
     * - maxLength: 128
     * @var string
     */
    public $ALICI_ADI;
    /**
     * The YONLENDIRME_KODU
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $YONLENDIRME_KODU;
    /**
     * The YONLENDIRME_NEDENI
     * Meta informations extracted from the WSDL
     * - maxLength: 128
     * @var string
     */
    public $YONLENDIRME_NEDENI;
    /**
     * Constructor method for WEBCARGODATA1
     * @uses WEBCARGODATA1::setYONTARIH()
     * @uses WEBCARGODATA1::setSERI()
     * @uses WEBCARGODATA1::setNO()
     * @uses WEBCARGODATA1::setMOK()
     * @uses WEBCARGODATA1::setMUSTERI_KODU()
     * @uses WEBCARGODATA1::setYONLENDIRENBIRIM()
     * @uses WEBCARGODATA1::setYONLENDIRILENBIRIM()
     * @uses WEBCARGODATA1::setALICI_ADI()
     * @uses WEBCARGODATA1::setYONLENDIRME_KODU()
     * @uses WEBCARGODATA1::setYONLENDIRME_NEDENI()
     * @param string $yONTARIH
     * @param string $sERI
     * @param string $nO
     * @param string $mOK
     * @param string $mUSTERI_KODU
     * @param string $yONLENDIRENBIRIM
     * @param string $yONLENDIRILENBIRIM
     * @param string $aLICI_ADI
     * @param float $yONLENDIRME_KODU
     * @param string $yONLENDIRME_NEDENI
     */
    public function __construct($yONTARIH = null, $sERI = null, $nO = null, $mOK = null, $mUSTERI_KODU = null, $yONLENDIRENBIRIM = null, $yONLENDIRILENBIRIM = null, $aLICI_ADI = null, $yONLENDIRME_KODU = null, $yONLENDIRME_NEDENI = null)
    {
        $this
            ->setYONTARIH($yONTARIH)
            ->setSERI($sERI)
            ->setNO($nO)
            ->setMOK($mOK)
            ->setMUSTERI_KODU($mUSTERI_KODU)
            ->setYONLENDIRENBIRIM($yONLENDIRENBIRIM)
            ->setYONLENDIRILENBIRIM($yONLENDIRILENBIRIM)
            ->setALICI_ADI($aLICI_ADI)
            ->setYONLENDIRME_KODU($yONLENDIRME_KODU)
            ->setYONLENDIRME_NEDENI($yONLENDIRME_NEDENI);
    }
    /**
     * Get YONTARIH value
     * @return string|null
     */
    public function getYONTARIH()
    {
        return $this->YONTARIH;
    }
    /**
     * Set YONTARIH value
     * @param string $yONTARIH
     * @return \StructType\WEBCARGODATA1
     */
    public function setYONTARIH($yONTARIH = null)
    {
        // validation for constraint: string
        if (!is_null($yONTARIH) && !is_string($yONTARIH)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($yONTARIH)), __LINE__);
        }
        $this->YONTARIH = $yONTARIH;
        return $this;
    }
    /**
     * Get SERI value
     * @return string|null
     */
    public function getSERI()
    {
        return $this->SERI;
    }
    /**
     * Set SERI value
     * @param string $sERI
     * @return \StructType\WEBCARGODATA1
     */
    public function setSERI($sERI = null)
    {
        // validation for constraint: maxLength
        if ((is_scalar($sERI) && strlen($sERI) > 2) || (is_array($sERI) && count($sERI) > 2)) {
            throw new \InvalidArgumentException(sprintf('Invalid length, please provide an array with 2 element(s) or a scalar of 2 character(s) at most, "%d" length given', is_scalar($sERI) ? strlen($sERI) : count($sERI)), __LINE__);
        }
        // validation for constraint: string
        if (!is_null($sERI) && !is_string($sERI)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sERI)), __LINE__);
        }
        $this->SERI = $sERI;
        return $this;
    }
    /**
     * Get NO value
     * @return string|null
     */
    public function getNO()
    {
        return $this->NO;
    }
    /**
     * Set NO value
     * @param string $nO
     * @return \StructType\WEBCARGODATA1
     */
    public function setNO($nO = null)
    {
        // validation for constraint: maxLength
        if ((is_scalar($nO) && strlen($nO) > 8) || (is_array($nO) && count($nO) > 8)) {
            throw new \InvalidArgumentException(sprintf('Invalid length, please provide an array with 8 element(s) or a scalar of 8 character(s) at most, "%d" length given', is_scalar($nO) ? strlen($nO) : count($nO)), __LINE__);
        }
        // validation for constraint: string
        if (!is_null($nO) && !is_string($nO)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($nO)), __LINE__);
        }
        $this->NO = $nO;
        return $this;
    }
    /**
     * Get MOK value
     * @return string|null
     */
    public function getMOK()
    {
        return $this->MOK;
    }
    /**
     * Set MOK value
     * @param string $mOK
     * @return \StructType\WEBCARGODATA1
     */
    public function setMOK($mOK = null)
    {
        // validation for constraint: maxLength
        if ((is_scalar($mOK) && strlen($mOK) > 32) || (is_array($mOK) && count($mOK) > 32)) {
            throw new \InvalidArgumentException(sprintf('Invalid length, please provide an array with 32 element(s) or a scalar of 32 character(s) at most, "%d" length given', is_scalar($mOK) ? strlen($mOK) : count($mOK)), __LINE__);
        }
        // validation for constraint: string
        if (!is_null($mOK) && !is_string($mOK)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($mOK)), __LINE__);
        }
        $this->MOK = $mOK;
        return $this;
    }
    /**
     * Get MUSTERI_KODU value
     * @return string|null
     */
    public function getMUSTERI_KODU()
    {
        return $this->MUSTERI_KODU;
    }
    /**
     * Set MUSTERI_KODU value
     * @param string $mUSTERI_KODU
     * @return \StructType\WEBCARGODATA1
     */
    public function setMUSTERI_KODU($mUSTERI_KODU = null)
    {
        // validation for constraint: maxLength
        if ((is_scalar($mUSTERI_KODU) && strlen($mUSTERI_KODU) > 32) || (is_array($mUSTERI_KODU) && count($mUSTERI_KODU) > 32)) {
            throw new \InvalidArgumentException(sprintf('Invalid length, please provide an array with 32 element(s) or a scalar of 32 character(s) at most, "%d" length given', is_scalar($mUSTERI_KODU) ? strlen($mUSTERI_KODU) : count($mUSTERI_KODU)), __LINE__);
        }
        // validation for constraint: string
        if (!is_null($mUSTERI_KODU) && !is_string($mUSTERI_KODU)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($mUSTERI_KODU)), __LINE__);
        }
        $this->MUSTERI_KODU = $mUSTERI_KODU;
        return $this;
    }
    /**
     * Get YONLENDIRENBIRIM value
     * @return string|null
     */
    public function getYONLENDIRENBIRIM()
    {
        return $this->YONLENDIRENBIRIM;
    }
    /**
     * Set YONLENDIRENBIRIM value
     * @param string $yONLENDIRENBIRIM
     * @return \StructType\WEBCARGODATA1
     */
    public function setYONLENDIRENBIRIM($yONLENDIRENBIRIM = null)
    {
        // validation for constraint: maxLength
        if ((is_scalar($yONLENDIRENBIRIM) && strlen($yONLENDIRENBIRIM) > 32) || (is_array($yONLENDIRENBIRIM) && count($yONLENDIRENBIRIM) > 32)) {
            throw new \InvalidArgumentException(sprintf('Invalid length, please provide an array with 32 element(s) or a scalar of 32 character(s) at most, "%d" length given', is_scalar($yONLENDIRENBIRIM) ? strlen($yONLENDIRENBIRIM) : count($yONLENDIRENBIRIM)), __LINE__);
        }
        // validation for constraint: string
        if (!is_null($yONLENDIRENBIRIM) && !is_string($yONLENDIRENBIRIM)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($yONLENDIRENBIRIM)), __LINE__);
        }
        $this->YONLENDIRENBIRIM = $yONLENDIRENBIRIM;
        return $this;
    }
    /**
     * Get YONLENDIRILENBIRIM value
     * @return string|null
     */
    public function getYONLENDIRILENBIRIM()
    {
        return $this->YONLENDIRILENBIRIM;
    }
    /**
     * Set YONLENDIRILENBIRIM value
     * @param string $yONLENDIRILENBIRIM
     * @return \StructType\WEBCARGODATA1
     */
    public function setYONLENDIRILENBIRIM($yONLENDIRILENBIRIM = null)
    {
        // validation for constraint: maxLength
        if ((is_scalar($yONLENDIRILENBIRIM) && strlen($yONLENDIRILENBIRIM) > 32) || (is_array($yONLENDIRILENBIRIM) && count($yONLENDIRILENBIRIM) > 32)) {
            throw new \InvalidArgumentException(sprintf('Invalid length, please provide an array with 32 element(s) or a scalar of 32 character(s) at most, "%d" length given', is_scalar($yONLENDIRILENBIRIM) ? strlen($yONLENDIRILENBIRIM) : count($yONLENDIRILENBIRIM)), __LINE__);
        }
        // validation for constraint: string
        if (!is_null($yONLENDIRILENBIRIM) && !is_string($yONLENDIRILENBIRIM)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($yONLENDIRILENBIRIM)), __LINE__);
        }
        $this->YONLENDIRILENBIRIM = $yONLENDIRILENBIRIM;
        return $this;
    }
    /**
     * Get ALICI_ADI value
     * @return string|null
     */
    public function getALICI_ADI()
    {
        return $this->ALICI_ADI;
    }
    /**
     * Set ALICI_ADI value
     * @param string $aLICI_ADI
     * @return \StructType\WEBCARGODATA1
     */
    public function setALICI_ADI($aLICI_ADI = null)
    {
        // validation for constraint: maxLength
        if ((is_scalar($aLICI_ADI) && strlen($aLICI_ADI) > 128) || (is_array($aLICI_ADI) && count($aLICI_ADI) > 128)) {
            throw new \InvalidArgumentException(sprintf('Invalid length, please provide an array with 128 element(s) or a scalar of 128 character(s) at most, "%d" length given', is_scalar($aLICI_ADI) ? strlen($aLICI_ADI) : count($aLICI_ADI)), __LINE__);
        }
        // validation for constraint: string
        if (!is_null($aLICI_ADI) && !is_string($aLICI_ADI)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($aLICI_ADI)), __LINE__);
        }
        $this->ALICI_ADI = $aLICI_ADI;
        return $this;
    }
    /**
     * Get YONLENDIRME_KODU value
     * @return float|null
     */
    public function getYONLENDIRME_KODU()
    {
        return $this->YONLENDIRME_KODU;
    }
    /**
     * Set YONLENDIRME_KODU value
     * @param float $yONLENDIRME_KODU
     * @return \StructType\WEBCARGODATA1
     */
    public function setYONLENDIRME_KODU($yONLENDIRME_KODU = null)
    {
        $this->YONLENDIRME_KODU = $yONLENDIRME_KODU;
        return $this;
    }
    /**
     * Get YONLENDIRME_NEDENI value
     * @return string|null
     */
    public function getYONLENDIRME_NEDENI()
    {
        return $this->YONLENDIRME_NEDENI;
    }
    /**
     * Set YONLENDIRME_NEDENI value
     * @param string $yONLENDIRME_NEDENI
     * @return \StructType\WEBCARGODATA1
     */
    public function setYONLENDIRME_NEDENI($yONLENDIRME_NEDENI = null)
    {
        // validation for constraint: maxLength
        if ((is_scalar($yONLENDIRME_NEDENI) && strlen($yONLENDIRME_NEDENI) > 128) || (is_array($yONLENDIRME_NEDENI) && count($yONLENDIRME_NEDENI) > 128)) {
            throw new \InvalidArgumentException(sprintf('Invalid length, please provide an array with 128 element(s) or a scalar of 128 character(s) at most, "%d" length given', is_scalar($yONLENDIRME_NEDENI) ? strlen($yONLENDIRME_NEDENI) : count($yONLENDIRME_NEDENI)), __LINE__);
        }
        // validation for constraint: string
        if (!is_null($yONLENDIRME_NEDENI) && !is_string($yONLENDIRME_NEDENI)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($yONLENDIRME_NEDENI)), __LINE__);
        }
        $this->YONLENDIRME_NEDENI = $yONLENDIRME_NEDENI;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\WEBCARGODATA1
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
