<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for WEBCARGODATA9 StructType
 * @subpackage Structs
 */
class WEBCARGODATA9 extends AbstractStructBase
{
    /**
     * The MOK
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - maxLength: 32
     * @var string
     */
    public $MOK;
    /**
     * The IRSALIYE_NO
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - maxLength: 10
     * @var string
     */
    public $IRSALIYE_NO;
    /**
     * The TRUNC_x0028_SDC_AUDIT_CREATE_DATE_x0029_
     * Meta informations extracted from the WSDL
     * - Caption: TRUNC(SDC.AUDIT_CREATE_DATE)
     * - Generator_ColumnVarNameInTable: _columnTRUNC_SDC_AUDIT_CREATE_DATE_
     * - Generator_UserColumnName: TRUNC(SDC_AUDIT_CREATE_DATE)
     * - minOccurs: 0
     * @var string
     */
    public $TRUNC_x0028_SDC_AUDIT_CREATE_DATE_x0029_;
    /**
     * The CODE
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - maxLength: 8
     * @var string
     */
    public $CODE;
    /**
     * The NAME
     * Meta informations extracted from the WSDL
     * - maxLength: 128
     * @var string
     */
    public $NAME;
    /**
     * The DESCRIPTION
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - maxLength: 256
     * @var string
     */
    public $DESCRIPTION;
    /**
     * The SUBE
     * Meta informations extracted from the WSDL
     * - maxLength: 32
     * @var string
     */
    public $SUBE;
    /**
     * Constructor method for WEBCARGODATA9
     * @uses WEBCARGODATA9::setMOK()
     * @uses WEBCARGODATA9::setIRSALIYE_NO()
     * @uses WEBCARGODATA9::setTRUNC_x0028_SDC_AUDIT_CREATE_DATE_x0029_()
     * @uses WEBCARGODATA9::setCODE()
     * @uses WEBCARGODATA9::setNAME()
     * @uses WEBCARGODATA9::setDESCRIPTION()
     * @uses WEBCARGODATA9::setSUBE()
     * @param string $mOK
     * @param string $iRSALIYE_NO
     * @param string $tRUNC_x0028_SDC_AUDIT_CREATE_DATE_x0029_
     * @param string $cODE
     * @param string $nAME
     * @param string $dESCRIPTION
     * @param string $sUBE
     */
    public function __construct($mOK = null, $iRSALIYE_NO = null, $tRUNC_x0028_SDC_AUDIT_CREATE_DATE_x0029_ = null, $cODE = null, $nAME = null, $dESCRIPTION = null, $sUBE = null)
    {
        $this
            ->setMOK($mOK)
            ->setIRSALIYE_NO($iRSALIYE_NO)
            ->setTRUNC_x0028_SDC_AUDIT_CREATE_DATE_x0029_($tRUNC_x0028_SDC_AUDIT_CREATE_DATE_x0029_)
            ->setCODE($cODE)
            ->setNAME($nAME)
            ->setDESCRIPTION($dESCRIPTION)
            ->setSUBE($sUBE);
    }
    /**
     * Get MOK value
     * @return string|null
     */
    public function getMOK()
    {
        return $this->MOK;
    }
    /**
     * Set MOK value
     * @param string $mOK
     * @return \StructType\WEBCARGODATA9
     */
    public function setMOK($mOK = null)
    {
        // validation for constraint: maxLength
        if ((is_scalar($mOK) && strlen($mOK) > 32) || (is_array($mOK) && count($mOK) > 32)) {
            throw new \InvalidArgumentException(sprintf('Invalid length, please provide an array with 32 element(s) or a scalar of 32 character(s) at most, "%d" length given', is_scalar($mOK) ? strlen($mOK) : count($mOK)), __LINE__);
        }
        // validation for constraint: string
        if (!is_null($mOK) && !is_string($mOK)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($mOK)), __LINE__);
        }
        $this->MOK = $mOK;
        return $this;
    }
    /**
     * Get IRSALIYE_NO value
     * @return string|null
     */
    public function getIRSALIYE_NO()
    {
        return $this->IRSALIYE_NO;
    }
    /**
     * Set IRSALIYE_NO value
     * @param string $iRSALIYE_NO
     * @return \StructType\WEBCARGODATA9
     */
    public function setIRSALIYE_NO($iRSALIYE_NO = null)
    {
        // validation for constraint: maxLength
        if ((is_scalar($iRSALIYE_NO) && strlen($iRSALIYE_NO) > 10) || (is_array($iRSALIYE_NO) && count($iRSALIYE_NO) > 10)) {
            throw new \InvalidArgumentException(sprintf('Invalid length, please provide an array with 10 element(s) or a scalar of 10 character(s) at most, "%d" length given', is_scalar($iRSALIYE_NO) ? strlen($iRSALIYE_NO) : count($iRSALIYE_NO)), __LINE__);
        }
        // validation for constraint: string
        if (!is_null($iRSALIYE_NO) && !is_string($iRSALIYE_NO)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($iRSALIYE_NO)), __LINE__);
        }
        $this->IRSALIYE_NO = $iRSALIYE_NO;
        return $this;
    }
    /**
     * Get TRUNC_x0028_SDC_AUDIT_CREATE_DATE_x0029_ value
     * @return string|null
     */
    public function getTRUNC_x0028_SDC_AUDIT_CREATE_DATE_x0029_()
    {
        return $this->TRUNC_x0028_SDC_AUDIT_CREATE_DATE_x0029_;
    }
    /**
     * Set TRUNC_x0028_SDC_AUDIT_CREATE_DATE_x0029_ value
     * @param string $tRUNC_x0028_SDC_AUDIT_CREATE_DATE_x0029_
     * @return \StructType\WEBCARGODATA9
     */
    public function setTRUNC_x0028_SDC_AUDIT_CREATE_DATE_x0029_($tRUNC_x0028_SDC_AUDIT_CREATE_DATE_x0029_ = null)
    {
        // validation for constraint: string
        if (!is_null($tRUNC_x0028_SDC_AUDIT_CREATE_DATE_x0029_) && !is_string($tRUNC_x0028_SDC_AUDIT_CREATE_DATE_x0029_)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($tRUNC_x0028_SDC_AUDIT_CREATE_DATE_x0029_)), __LINE__);
        }
        $this->TRUNC_x0028_SDC_AUDIT_CREATE_DATE_x0029_ = $tRUNC_x0028_SDC_AUDIT_CREATE_DATE_x0029_;
        return $this;
    }
    /**
     * Get CODE value
     * @return string|null
     */
    public function getCODE()
    {
        return $this->CODE;
    }
    /**
     * Set CODE value
     * @param string $cODE
     * @return \StructType\WEBCARGODATA9
     */
    public function setCODE($cODE = null)
    {
        // validation for constraint: maxLength
        if ((is_scalar($cODE) && strlen($cODE) > 8) || (is_array($cODE) && count($cODE) > 8)) {
            throw new \InvalidArgumentException(sprintf('Invalid length, please provide an array with 8 element(s) or a scalar of 8 character(s) at most, "%d" length given', is_scalar($cODE) ? strlen($cODE) : count($cODE)), __LINE__);
        }
        // validation for constraint: string
        if (!is_null($cODE) && !is_string($cODE)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($cODE)), __LINE__);
        }
        $this->CODE = $cODE;
        return $this;
    }
    /**
     * Get NAME value
     * @return string|null
     */
    public function getNAME()
    {
        return $this->NAME;
    }
    /**
     * Set NAME value
     * @param string $nAME
     * @return \StructType\WEBCARGODATA9
     */
    public function setNAME($nAME = null)
    {
        // validation for constraint: maxLength
        if ((is_scalar($nAME) && strlen($nAME) > 128) || (is_array($nAME) && count($nAME) > 128)) {
            throw new \InvalidArgumentException(sprintf('Invalid length, please provide an array with 128 element(s) or a scalar of 128 character(s) at most, "%d" length given', is_scalar($nAME) ? strlen($nAME) : count($nAME)), __LINE__);
        }
        // validation for constraint: string
        if (!is_null($nAME) && !is_string($nAME)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($nAME)), __LINE__);
        }
        $this->NAME = $nAME;
        return $this;
    }
    /**
     * Get DESCRIPTION value
     * @return string|null
     */
    public function getDESCRIPTION()
    {
        return $this->DESCRIPTION;
    }
    /**
     * Set DESCRIPTION value
     * @param string $dESCRIPTION
     * @return \StructType\WEBCARGODATA9
     */
    public function setDESCRIPTION($dESCRIPTION = null)
    {
        // validation for constraint: maxLength
        if ((is_scalar($dESCRIPTION) && strlen($dESCRIPTION) > 256) || (is_array($dESCRIPTION) && count($dESCRIPTION) > 256)) {
            throw new \InvalidArgumentException(sprintf('Invalid length, please provide an array with 256 element(s) or a scalar of 256 character(s) at most, "%d" length given', is_scalar($dESCRIPTION) ? strlen($dESCRIPTION) : count($dESCRIPTION)), __LINE__);
        }
        // validation for constraint: string
        if (!is_null($dESCRIPTION) && !is_string($dESCRIPTION)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($dESCRIPTION)), __LINE__);
        }
        $this->DESCRIPTION = $dESCRIPTION;
        return $this;
    }
    /**
     * Get SUBE value
     * @return string|null
     */
    public function getSUBE()
    {
        return $this->SUBE;
    }
    /**
     * Set SUBE value
     * @param string $sUBE
     * @return \StructType\WEBCARGODATA9
     */
    public function setSUBE($sUBE = null)
    {
        // validation for constraint: maxLength
        if ((is_scalar($sUBE) && strlen($sUBE) > 32) || (is_array($sUBE) && count($sUBE) > 32)) {
            throw new \InvalidArgumentException(sprintf('Invalid length, please provide an array with 32 element(s) or a scalar of 32 character(s) at most, "%d" length given', is_scalar($sUBE) ? strlen($sUBE) : count($sUBE)), __LINE__);
        }
        // validation for constraint: string
        if (!is_null($sUBE) && !is_string($sUBE)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sUBE)), __LINE__);
        }
        $this->SUBE = $sUBE;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\WEBCARGODATA9
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
