<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for WEBCARGODATA StructType
 * @subpackage Structs
 */
class WEBCARGODATA_1 extends AbstractStructBase
{
    /**
     * The SERI
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - maxLength: 2
     * @var string
     */
    public $SERI;
    /**
     * The NO
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - maxLength: 8
     * @var string
     */
    public $NO;
    /**
     * The MUSTERI_KODU
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - maxLength: 32
     * @var string
     */
    public $MUSTERI_KODU;
    /**
     * The SUBE_ADI
     * Meta informations extracted from the WSDL
     * - maxLength: 32
     * @var string
     */
    public $SUBE_ADI;
    /**
     * The ALICI_ADI
     * Meta informations extracted from the WSDL
     * - maxLength: 128
     * @var string
     */
    public $ALICI_ADI;
    /**
     * The DEVIR_ACIKLAMA
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - maxLength: 4000
     * @var string
     */
    public $DEVIR_ACIKLAMA;
    /**
     * The MOK
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - maxLength: 32
     * @var string
     */
    public $MOK;
    /**
     * The CIKIS_TARIHI
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $CIKIS_TARIHI;
    /**
     * The DEVIR_NEDENI
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - maxLength: 128
     * @var string
     */
    public $DEVIR_NEDENI;
    /**
     * The DEVIR_KODU
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - maxLength: 4000
     * @var string
     */
    public $DEVIR_KODU;
    /**
     * Constructor method for WEBCARGODATA
     * @uses WEBCARGODATA_1::setSERI()
     * @uses WEBCARGODATA_1::setNO()
     * @uses WEBCARGODATA_1::setMUSTERI_KODU()
     * @uses WEBCARGODATA_1::setSUBE_ADI()
     * @uses WEBCARGODATA_1::setALICI_ADI()
     * @uses WEBCARGODATA_1::setDEVIR_ACIKLAMA()
     * @uses WEBCARGODATA_1::setMOK()
     * @uses WEBCARGODATA_1::setCIKIS_TARIHI()
     * @uses WEBCARGODATA_1::setDEVIR_NEDENI()
     * @uses WEBCARGODATA_1::setDEVIR_KODU()
     * @param string $sERI
     * @param string $nO
     * @param string $mUSTERI_KODU
     * @param string $sUBE_ADI
     * @param string $aLICI_ADI
     * @param string $dEVIR_ACIKLAMA
     * @param string $mOK
     * @param string $cIKIS_TARIHI
     * @param string $dEVIR_NEDENI
     * @param string $dEVIR_KODU
     */
    public function __construct($sERI = null, $nO = null, $mUSTERI_KODU = null, $sUBE_ADI = null, $aLICI_ADI = null, $dEVIR_ACIKLAMA = null, $mOK = null, $cIKIS_TARIHI = null, $dEVIR_NEDENI = null, $dEVIR_KODU = null)
    {
        $this
            ->setSERI($sERI)
            ->setNO($nO)
            ->setMUSTERI_KODU($mUSTERI_KODU)
            ->setSUBE_ADI($sUBE_ADI)
            ->setALICI_ADI($aLICI_ADI)
            ->setDEVIR_ACIKLAMA($dEVIR_ACIKLAMA)
            ->setMOK($mOK)
            ->setCIKIS_TARIHI($cIKIS_TARIHI)
            ->setDEVIR_NEDENI($dEVIR_NEDENI)
            ->setDEVIR_KODU($dEVIR_KODU);
    }
    /**
     * Get SERI value
     * @return string|null
     */
    public function getSERI()
    {
        return $this->SERI;
    }
    /**
     * Set SERI value
     * @param string $sERI
     * @return \StructType\WEBCARGODATA_1
     */
    public function setSERI($sERI = null)
    {
        // validation for constraint: maxLength
        if ((is_scalar($sERI) && strlen($sERI) > 2) || (is_array($sERI) && count($sERI) > 2)) {
            throw new \InvalidArgumentException(sprintf('Invalid length, please provide an array with 2 element(s) or a scalar of 2 character(s) at most, "%d" length given', is_scalar($sERI) ? strlen($sERI) : count($sERI)), __LINE__);
        }
        // validation for constraint: string
        if (!is_null($sERI) && !is_string($sERI)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sERI)), __LINE__);
        }
        $this->SERI = $sERI;
        return $this;
    }
    /**
     * Get NO value
     * @return string|null
     */
    public function getNO()
    {
        return $this->NO;
    }
    /**
     * Set NO value
     * @param string $nO
     * @return \StructType\WEBCARGODATA_1
     */
    public function setNO($nO = null)
    {
        // validation for constraint: maxLength
        if ((is_scalar($nO) && strlen($nO) > 8) || (is_array($nO) && count($nO) > 8)) {
            throw new \InvalidArgumentException(sprintf('Invalid length, please provide an array with 8 element(s) or a scalar of 8 character(s) at most, "%d" length given', is_scalar($nO) ? strlen($nO) : count($nO)), __LINE__);
        }
        // validation for constraint: string
        if (!is_null($nO) && !is_string($nO)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($nO)), __LINE__);
        }
        $this->NO = $nO;
        return $this;
    }
    /**
     * Get MUSTERI_KODU value
     * @return string|null
     */
    public function getMUSTERI_KODU()
    {
        return $this->MUSTERI_KODU;
    }
    /**
     * Set MUSTERI_KODU value
     * @param string $mUSTERI_KODU
     * @return \StructType\WEBCARGODATA_1
     */
    public function setMUSTERI_KODU($mUSTERI_KODU = null)
    {
        // validation for constraint: maxLength
        if ((is_scalar($mUSTERI_KODU) && strlen($mUSTERI_KODU) > 32) || (is_array($mUSTERI_KODU) && count($mUSTERI_KODU) > 32)) {
            throw new \InvalidArgumentException(sprintf('Invalid length, please provide an array with 32 element(s) or a scalar of 32 character(s) at most, "%d" length given', is_scalar($mUSTERI_KODU) ? strlen($mUSTERI_KODU) : count($mUSTERI_KODU)), __LINE__);
        }
        // validation for constraint: string
        if (!is_null($mUSTERI_KODU) && !is_string($mUSTERI_KODU)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($mUSTERI_KODU)), __LINE__);
        }
        $this->MUSTERI_KODU = $mUSTERI_KODU;
        return $this;
    }
    /**
     * Get SUBE_ADI value
     * @return string|null
     */
    public function getSUBE_ADI()
    {
        return $this->SUBE_ADI;
    }
    /**
     * Set SUBE_ADI value
     * @param string $sUBE_ADI
     * @return \StructType\WEBCARGODATA_1
     */
    public function setSUBE_ADI($sUBE_ADI = null)
    {
        // validation for constraint: maxLength
        if ((is_scalar($sUBE_ADI) && strlen($sUBE_ADI) > 32) || (is_array($sUBE_ADI) && count($sUBE_ADI) > 32)) {
            throw new \InvalidArgumentException(sprintf('Invalid length, please provide an array with 32 element(s) or a scalar of 32 character(s) at most, "%d" length given', is_scalar($sUBE_ADI) ? strlen($sUBE_ADI) : count($sUBE_ADI)), __LINE__);
        }
        // validation for constraint: string
        if (!is_null($sUBE_ADI) && !is_string($sUBE_ADI)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sUBE_ADI)), __LINE__);
        }
        $this->SUBE_ADI = $sUBE_ADI;
        return $this;
    }
    /**
     * Get ALICI_ADI value
     * @return string|null
     */
    public function getALICI_ADI()
    {
        return $this->ALICI_ADI;
    }
    /**
     * Set ALICI_ADI value
     * @param string $aLICI_ADI
     * @return \StructType\WEBCARGODATA_1
     */
    public function setALICI_ADI($aLICI_ADI = null)
    {
        // validation for constraint: maxLength
        if ((is_scalar($aLICI_ADI) && strlen($aLICI_ADI) > 128) || (is_array($aLICI_ADI) && count($aLICI_ADI) > 128)) {
            throw new \InvalidArgumentException(sprintf('Invalid length, please provide an array with 128 element(s) or a scalar of 128 character(s) at most, "%d" length given', is_scalar($aLICI_ADI) ? strlen($aLICI_ADI) : count($aLICI_ADI)), __LINE__);
        }
        // validation for constraint: string
        if (!is_null($aLICI_ADI) && !is_string($aLICI_ADI)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($aLICI_ADI)), __LINE__);
        }
        $this->ALICI_ADI = $aLICI_ADI;
        return $this;
    }
    /**
     * Get DEVIR_ACIKLAMA value
     * @return string|null
     */
    public function getDEVIR_ACIKLAMA()
    {
        return $this->DEVIR_ACIKLAMA;
    }
    /**
     * Set DEVIR_ACIKLAMA value
     * @param string $dEVIR_ACIKLAMA
     * @return \StructType\WEBCARGODATA_1
     */
    public function setDEVIR_ACIKLAMA($dEVIR_ACIKLAMA = null)
    {
        // validation for constraint: maxLength
        if ((is_scalar($dEVIR_ACIKLAMA) && strlen($dEVIR_ACIKLAMA) > 4000) || (is_array($dEVIR_ACIKLAMA) && count($dEVIR_ACIKLAMA) > 4000)) {
            throw new \InvalidArgumentException(sprintf('Invalid length, please provide an array with 4000 element(s) or a scalar of 4000 character(s) at most, "%d" length given', is_scalar($dEVIR_ACIKLAMA) ? strlen($dEVIR_ACIKLAMA) : count($dEVIR_ACIKLAMA)), __LINE__);
        }
        // validation for constraint: string
        if (!is_null($dEVIR_ACIKLAMA) && !is_string($dEVIR_ACIKLAMA)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($dEVIR_ACIKLAMA)), __LINE__);
        }
        $this->DEVIR_ACIKLAMA = $dEVIR_ACIKLAMA;
        return $this;
    }
    /**
     * Get MOK value
     * @return string|null
     */
    public function getMOK()
    {
        return $this->MOK;
    }
    /**
     * Set MOK value
     * @param string $mOK
     * @return \StructType\WEBCARGODATA_1
     */
    public function setMOK($mOK = null)
    {
        // validation for constraint: maxLength
        if ((is_scalar($mOK) && strlen($mOK) > 32) || (is_array($mOK) && count($mOK) > 32)) {
            throw new \InvalidArgumentException(sprintf('Invalid length, please provide an array with 32 element(s) or a scalar of 32 character(s) at most, "%d" length given', is_scalar($mOK) ? strlen($mOK) : count($mOK)), __LINE__);
        }
        // validation for constraint: string
        if (!is_null($mOK) && !is_string($mOK)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($mOK)), __LINE__);
        }
        $this->MOK = $mOK;
        return $this;
    }
    /**
     * Get CIKIS_TARIHI value
     * @return string|null
     */
    public function getCIKIS_TARIHI()
    {
        return $this->CIKIS_TARIHI;
    }
    /**
     * Set CIKIS_TARIHI value
     * @param string $cIKIS_TARIHI
     * @return \StructType\WEBCARGODATA_1
     */
    public function setCIKIS_TARIHI($cIKIS_TARIHI = null)
    {
        // validation for constraint: string
        if (!is_null($cIKIS_TARIHI) && !is_string($cIKIS_TARIHI)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($cIKIS_TARIHI)), __LINE__);
        }
        $this->CIKIS_TARIHI = $cIKIS_TARIHI;
        return $this;
    }
    /**
     * Get DEVIR_NEDENI value
     * @return string|null
     */
    public function getDEVIR_NEDENI()
    {
        return $this->DEVIR_NEDENI;
    }
    /**
     * Set DEVIR_NEDENI value
     * @param string $dEVIR_NEDENI
     * @return \StructType\WEBCARGODATA_1
     */
    public function setDEVIR_NEDENI($dEVIR_NEDENI = null)
    {
        // validation for constraint: maxLength
        if ((is_scalar($dEVIR_NEDENI) && strlen($dEVIR_NEDENI) > 128) || (is_array($dEVIR_NEDENI) && count($dEVIR_NEDENI) > 128)) {
            throw new \InvalidArgumentException(sprintf('Invalid length, please provide an array with 128 element(s) or a scalar of 128 character(s) at most, "%d" length given', is_scalar($dEVIR_NEDENI) ? strlen($dEVIR_NEDENI) : count($dEVIR_NEDENI)), __LINE__);
        }
        // validation for constraint: string
        if (!is_null($dEVIR_NEDENI) && !is_string($dEVIR_NEDENI)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($dEVIR_NEDENI)), __LINE__);
        }
        $this->DEVIR_NEDENI = $dEVIR_NEDENI;
        return $this;
    }
    /**
     * Get DEVIR_KODU value
     * @return string|null
     */
    public function getDEVIR_KODU()
    {
        return $this->DEVIR_KODU;
    }
    /**
     * Set DEVIR_KODU value
     * @param string $dEVIR_KODU
     * @return \StructType\WEBCARGODATA_1
     */
    public function setDEVIR_KODU($dEVIR_KODU = null)
    {
        // validation for constraint: maxLength
        if ((is_scalar($dEVIR_KODU) && strlen($dEVIR_KODU) > 4000) || (is_array($dEVIR_KODU) && count($dEVIR_KODU) > 4000)) {
            throw new \InvalidArgumentException(sprintf('Invalid length, please provide an array with 4000 element(s) or a scalar of 4000 character(s) at most, "%d" length given', is_scalar($dEVIR_KODU) ? strlen($dEVIR_KODU) : count($dEVIR_KODU)), __LINE__);
        }
        // validation for constraint: string
        if (!is_null($dEVIR_KODU) && !is_string($dEVIR_KODU)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($dEVIR_KODU)), __LINE__);
        }
        $this->DEVIR_KODU = $dEVIR_KODU;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\WEBCARGODATA_1
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
